{
  lib,
  stdenv,
  fetchFromGitLab,
  meson,
  ninja,
  gettext,
}:

stdenv.mkDerivation rec {
  pname = "girens";
  version = "2.0.6";

  src = fetchFromGitLab {
    domain = "gitlab.gnome.org";
    owner = "tijder";
    repo = "girens";
    rev = "v${version}";
    hash = "sha256-uCMg+vz+DAm1S3Z+kIhZ1TCPibtEcwpLT+FB9SuOqBY=";
  };

  nativeBuildInputs = [
    meson
    ninja
    gettext
  ];

  meta = {
    description = "Girens is a Plex GTK client for playing movies, TV shows and music from your Plex library";
    homepage = "https://gitlab.gnome.org/tijder/girens";
    license = lib.licenses.gpl3Only;
    maintainers = with lib.maintainers; [ ];
    mainProgram = "girens";
    platforms = lib.platforms.all;
  };
}
